
%define guiloader_version 2.13.1
%define guiloader_release 0.1
%define guiloader_package 2.13.1
%define guiloader_dep_glib 2.18
%define guiloader_dep_gtk 2.14

Name:           guiloader
Version:        %{guiloader_version}
Release:        %{guiloader_release}
Summary:        A GuiXml files loading library
Vendor:		      The Crow Designer Project

Group:          System Environment/Libraries
License:        MIT
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-%{guiloader_package}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       glib2 >= %{guiloader_dep_glib}
Requires:       gtk2 >= %{guiloader_dep_gtk}

BuildRequires:  glib2-devel >= %{guiloader_dep_glib}
BuildRequires:  gtk2-devel >= %{guiloader_dep_gtk}
BuildRequires:  gettext

%description
The GuiLoader library serves for GuiXml interfaces reconstruction directly from applications during their execution. GuiXml interfaces are being created and edited by the Crow Designer. The access to the GuiLoader functionality for applications in C++ is being granted by a special auxiliary library, GuiLoader-C++.

%package devel
Summary:        Headers for developing programs that will use GuiLoader
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig

%description devel
This package contains the header files needed for developing GuiLoader applications.

%prep
%setup -q -n %{name}-%{guiloader_package}

%build
%configure --disable-static --disable-dependency-tracking --enable-hiddenvisibility
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc doc/*.txt
%{_libdir}/lib%{name}.so

%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

